NFSIOD(8)

NAME
nfsiod - local NFS asynchronous I/O server

SYNOPSIS
nfsiod [-n num_servers]

DESCRIPTION
Nfsiod runs on an NFS client machine to service asynchronous I/O requests to its server. It improves performance but is not required for correct operation.

Unless otherwise specified, a single server is started.

The options are as follows:

-n  Specify how many servers are to be started.

A client should run enough daemons to handle its maximum level of concurrency, typically four to six.

If nfsiod detects that the running kernel does not include NFS support, it will attempt to load a loadable kernel module containing NFS code, using modload(8) by way of vfsload(3). If this fails, or no NFS LKM was available, nfsiod exits with an error.

The nfsiod utility exits 0 on success, and >0 if an error occurs.

SEE ALSO
nfsstat(1), nfssvc(2), modload(8), mountd(8), portmap(8)

HISTORY
The nfsiod utility first appeared in 4.4BSD.